Lucene++ - a full-featured, c++ search engine
API Documentation

Public Member Functions | Static Public Member Functions | Protected Member Functions
Lucene::MultiTermPositions Class Reference

`#include <DirectoryReader.h>`

Inheritance diagram for Lucene::MultiTermPositions:

## Public Member Functions

| MultiTermPositions (const IndexReaderPtr &topReader, Collection< IndexReaderPtr > r, Collection< int32_t > s)
virtual | ~MultiTermPositions ()
virtual String | getClassName ()
boost::shared_ptr< MultiTermPositions > | shared_from_this ()
virtual int32_t | nextPosition ()
| Returns next position in the current document. More...
virtual int32_t | getPayloadLength ()
| Returns the length of the payload at the current term position. More...
virtual ByteArray | getPayload (ByteArray data, int32_t offset)
| Returns the payload data at the current term position. More...
virtual bool | isPayloadAvailable ()
| Checks if a payload can be loaded at this position. More...
Public Member Functions inherited from Lucene::MultiTermDocs
| MultiTermDocs (const IndexReaderPtr &topReader, Collection< IndexReaderPtr > r, Collection< int32_t > s)
virtual | ~MultiTermDocs ()
boost::shared_ptr< MultiTermDocs > | shared_from_this ()
virtual int32_t | doc ()
| Returns the current document number. More...
virtual int32_t | freq ()
| Returns the frequency of the term within the current document. More...
virtual void | seek (const TermPtr &term)
| Sets this to the data for a term. More...
virtual void | seek (const TermEnumPtr &termEnum)
| Sets this to the data for the current term in a TermEnum. More...
virtual bool | next ()
| Moves to the next pair in the enumeration. More...
virtual int32_t | read (Collection< int32_t > docs, Collection< int32_t > freqs)
| Attempts to read multiple entries from the enumeration, up to length of docs. Optimized implementation. More...
virtual bool | skipTo (int32_t target)
| Skips entries to the first beyond the current whose document number is greater than or equal to target. More...
virtual void | close ()
| Frees associated resources. More...
Public Member Functions inherited from Lucene::TermPositions
virtual | ~TermPositions ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::MultiTermDocs
static String | _getClassName ()
Static Public Member Functions inherited from Lucene::TermPositions
static String | _getClassName ()
Static Public Member Functions inherited from Lucene::TermDocs
static String | _getClassName ()

## Protected Member Functions

virtual TermDocsPtr | termDocs (const IndexReaderPtr &reader)
Protected Member Functions inherited from Lucene::MultiTermDocs
virtual TermDocsPtr | termDocs (int32_t i)
Protected Member Functions inherited from Lucene::TermPositions
| TermPositions ()
Protected Member Functions inherited from Lucene::TermDocs
| TermDocs ()
Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Additional Inherited Members

Protected Attributes inherited from Lucene::MultiTermDocs
IndexReaderWeakPtr | _topReader
Collection< IndexReaderPtr > | readers
Collection< int32_t > | starts
TermPtr | term
int32_t | base
int32_t | pointer
Collection< TermDocsPtr > | readerTermDocs
TermDocsPtr | current
MultiTermEnumPtr | tenum
int32_t | matchingSegmentPos
SegmentMergeInfoPtr | smi
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Constructor & Destructor Documentation

## ◆ MultiTermPositions()

Lucene::MultiTermPositions::MultiTermPositions | ( | const IndexReaderPtr & | topReader,
|  | Collection< IndexReaderPtr > | r,
|  | Collection< int32_t > | s
| ) |  |

## ◆ ~MultiTermPositions()

virtual Lucene::MultiTermPositions::~MultiTermPositions | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::MultiTermPositions::_getClassName | ( |  | ) |

inline static

## ◆ getClassName()

virtual String Lucene::MultiTermPositions::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::MultiTermDocs.

## ◆ getPayload()

virtual ByteArray Lucene::MultiTermPositions::getPayload | ( | ByteArray | data,
|  | int32_t | offset
| ) |  |

virtual

Returns the payload data at the current term position.

Reimplemented from Lucene::TermPositions.

## ◆ getPayloadLength()

virtual int32_t Lucene::MultiTermPositions::getPayloadLength | ( |  | ) |

virtual

Returns the length of the payload at the current term position.

Reimplemented from Lucene::TermPositions.

## ◆ isPayloadAvailable()

virtual bool Lucene::MultiTermPositions::isPayloadAvailable | ( |  | ) |

virtual

Checks if a payload can be loaded at this position.

Reimplemented from Lucene::TermPositions.

## ◆ nextPosition()

virtual int32_t Lucene::MultiTermPositions::nextPosition | ( |  | ) |

virtual

Returns next position in the current document.

Reimplemented from Lucene::TermPositions.

## ◆ shared_from_this()

boost::shared_ptr< MultiTermPositions > Lucene::MultiTermPositions::shared_from_this | ( |  | ) |

inline

## ◆ termDocs()

virtual TermDocsPtr Lucene::MultiTermPositions::termDocs | ( | const IndexReaderPtr & | reader | ) |

protected virtual

Reimplemented from Lucene::MultiTermDocs.

The documentation for this class was generated from the following file:

- DirectoryReader.h

clucene.sourceforge.net